MONGOC_BULK_OPERATION_DELETE(3)

NAME
mongoc_bulk_operation_delete - mongoc_bulk_operation_delete()

WARNING: Deprecated since version 0.96.0.

This function is deprecated and should not be used in new code.

Please use mongoc_bulk_operation_remove() in new code.

SYNOPSIS

void
mongoc_bulk_operation_delete (mongoc_bulk_operation_t *bulk,
                              const bson_t *selector)
  BSON_GNUC_DEPRECATED_FOR (mongoc_bulk_operation_remove);

Deletes documents as part of a bulk operation. This only queues the operation. To execute it, call mongoc_bulk_operation_execute().

PARAMETERS

•   bulk: A mongoc_bulk_operation_t.

•   selector: A bson_t.

ERRORS

Errors are propagated via mongoc_bulk_operation_execute().

SEE ALSO:
mongoc_bulk_operation_remove_many_with_opts()

mongoc_bulk_operation_remove_one_with_opts()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc